<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

abstract class sct_cleanup {
	public $scope;
	public $code;
	public $check;

	public $auto = true;

	function __construct( $scope, $code ) {
		$this->scope = $scope;
		$this->code  = $code;
	}

	public function draw_checkbox_quick( $value = 'on' ) : string {
		return '<input type="hidden" name="sct[' . $this->scope . '][' . $this->code . ']" value="' . $value . '" />';
	}

	public function draw_checkbox( $checked = false, $msg = '', $value = 'on' ) : string {
		$render = '<label for="sct_' . $this->scope . '_' . $this->code . '">';
		$render .= '<input' . ( $checked ? ' checked' : '' ) . ' type="checkbox" name="sct[' . $this->scope . '][' . $this->code . ']" value="' . $value . '" id="sct_' . $this->scope . '_' . $this->code . '" class="widefat sct-checkbox" />';

		if ( $msg == '' ) {
			$render .= __( 'Active', 'smart-cleanup-tools' );
		} else {
			$render .= $msg;
		}

		$render .= '</label>';

		return $render;
	}

	public function draw_post_types( $selected = array() ) : string {
		$post_types = get_post_types( array(), 'objects' );

		$render = '<label for="sct_args_' . esc_attr( $this->scope . '_' . $this->code ) . '_cpt">' . esc_html__( 'Post Types', 'smart-cleanup-tools' ) . ': ';
		$render .= '<select multiple="multiple" name="sct_args[' . esc_attr( $this->scope ) . '][' . esc_attr( $this->code ) . '][cpt][]" id="sct_args_' . esc_attr( $this->scope ) . '_' . esc_attr( $this->code ) . '_cpt" class="sct-dropdown">';

		foreach ( $post_types as $cpt => $data ) {
			$sel    = in_array( $cpt, $selected ) ? ' selected="selected"' : '';
			$render .= '<option value="' . esc_attr( $cpt ) . '"' . $sel . '>' . esc_html( $data->labels->name ) . '</option>';
		}

		$render .= '</select></label>';

		return $render;
	}

	public function has_results() : bool {
		if ( isset( $this->check ) && is_array( $this->check ) ) {
			return $this->check['records'] > 0;
		} else {
			return false;
		}
	}

	public function form_quick( $args = array() ) : string {
		return '';
	}

	public function help( $args = array() ) : string {
		return '';
	}

	public function details( $args = array() ) : array {
		return array();
	}

	abstract function form( $args = array() ) : string;

	abstract function run( $args = array(), $stats = array() ) : array;

	abstract function check( $args = array() ) : array;
}
