<form method="POST" id="sct-cleanup-form">
	<?php settings_fields( 'smart-cleanup-tools-job' ); ?>
    <input type="hidden" name="job_scope[]" value="<?php echo esc_attr( $to_load[0] ); ?>"/>
    <input type="hidden" name="job_scope[]" value="<?php echo esc_attr( $to_load[1] ); ?>"/>
    <input type="hidden" name="job_code" value="<?php echo esc_attr( $job ); ?>"/>

    <div class="spw-panel-two-columns">
        <div class="spw-column-left">
            <p>
				<?php esc_html_e( 'Set up the job schedule parameters and tools to use.', 'smart-cleanup-tools' ); ?>
                <br/>
            </p>
            <p>
                <label><?php esc_html_e( 'Job Title', 'smart-cleanup-tools' ); ?>:</label>
                <input type="text" class="widefat" name="job_title" value="<?php echo esc_attr( $cron['job_title'] ); ?>"/>
                <label><?php esc_html_e( 'Schedule', 'smart-cleanup-tools' ); ?>:</label>
                <select class="widefat" name="job_method" id="job_method">
					<?php

					$periods  = wp_get_schedules();
					$schedule = array( 'once' => esc_html__( 'Run Once', 'smart-cleanup-tools' ) );

					foreach ( $periods as $key => $value ) {
						$schedule[ 'run__' . $key ] = esc_html__( 'Run', 'smart-cleanup-tools' ) . ': ' . $value['display'];
					}

					foreach ( $schedule as $key => $title ) {
						$selected = $cron['job_method'] == $key ? ' selected="selected"' : '';
						echo '<option value="' . $key . '"' . $selected . '>' . $title . '</option>';
					}

					?>
                </select>
                <label><?php esc_html_e( 'First Run', 'smart-cleanup-tools' ); ?>:</label>
                <input type="text" class="widefat" name="first_run" id="job_first_run" value="<?php echo esc_attr( $cron['first_run'] ); ?>"/>
            </p>
            <input class="button-primary" type="submit" value="<?php esc_attr_e( 'Save Job', 'smart-cleanup-tools' ); ?>"/>
        </div>
        <div class="spw-column-right">
            <div class="sct-cleanup-box-wrapper">
				<?php

				$disabled = apply_filters( 'sct_disable_cleanup_tools_schedule_' . $to_load[0], $settings['disabled'][ $to_load[0] ] );
				$disabled = array_merge( $disabled, apply_filters( 'sct_disable_cleanup_tools_schedule_' . $to_load[1], $settings['disabled'][ $to_load[1] ] ) );

				foreach ( smart_sct_core()->cleanup as $code => $data ) {
					if ( ! in_array( $code, $disabled ) && $data['cron'] ) {
						$class_name = $data['class'];
						$clean      = new $class_name( $data['scope'], $code );
						$help       = $clean->help();

						$args = $cron['args'][ $code ] ?? array();

						$render = '<div class="sct-cleanup-box sct-cleanup-job-box' . ( in_array( $code, $cron['tools'] ) ? ' sct-enabled' : '' ) . '">';
						$render .= '<h3 class="sct-cleanup-title">' . $data['label'] . '</h3>';
						$render .= '<div class="sct-cleanup-infobox">';
						$render .= $clean->form( $args );
						$render .= '</div>';
						$render .= '<div class="sct-cleanup-checkbox">';
						$render .= $clean->draw_checkbox( in_array( $code, $cron['tools'] ), esc_html__( 'Include this cleanup tool', 'smart-cleanup-tools' ), $data['label'] );

						if ( ! empty( $help ) ) {
							$render .= '<a class="sct-tool-help sct-state-active" title="' . esc_html__( 'More information available for this tweak.', 'smart-cleanup-tools' ) . '" href="#' . $code . '"><span class="dashicons dashicons-info"></span></a>';
						}
						$render .= '</div>';

						if ( ! empty( $help ) ) {
							$render .= '<div title="' . esc_html__( 'Help', 'smart-cleanup-tools' ) . ': ' . $data['label'] . '" id="sct-help-' . $code . '" style="display: none;">';
							$render .= $help;
							$render .= '</div>';
						}
						$render .= '</div>';

						echo $render;
					}
				}

				?>
            </div>
        </div>
    </div>
</form>
<script type="text/javascript">
    jQuery(document).ready(function() {
        wp.smartplugins.smartcleanuptools.admin.job();
    });
</script>