<div class="spw-panel-two-columns">
    <div class="spw-column-left">
        <p>
			<?php esc_html_e( 'Here you can see all the statistics for all cleanup tools saved in the database.', 'smart-cleanup-tools' ); ?>
            <br/>
        </p>
        <div class="sct-cleanup-totals">
            <h3><?php esc_html_e( 'Cleanup Totals', 'smart-cleanup-tools' ); ?></h3>
			<?php
			echo esc_html__( 'Number of cleanups', 'smart-cleanup-tools' ) . ': <strong>' . $globals['counter'] . '</strong><br/>';
			echo esc_html__( 'Records removed', 'smart-cleanup-tools' ) . ': <strong>' . $globals['rows'] . '</strong><br/>';
			echo esc_html__( 'Overhead removed', 'smart-cleanup-tools' ) . ': <strong>' . sct_size_format( $globals['overhead'] ) . '</strong><br/>';
			echo esc_html__( 'Space recovered', 'smart-cleanup-tools' ) . ': <strong>' . sct_size_format( $globals['space'] ) . '</strong><br/>';
			?>
        </div>
        <div class="sct-cleanup-totals">
            <h3><?php esc_html_e( 'Cron Cleanup Totals', 'smart-cleanup-tools' ); ?></h3>
			<?php
			echo esc_html__( 'Number of cleanups', 'smart-cleanup-tools' ) . ': <strong>' . $global_crons['counter'] . '</strong><br/>';
			echo esc_html__( 'Records removed', 'smart-cleanup-tools' ) . ': <strong>' . $global_crons['rows'] . '</strong><br/>';
			echo esc_html__( 'Overhead removed', 'smart-cleanup-tools' ) . ': <strong>' . sct_size_format( $global_crons['overhead'] ) . '</strong><br/>';
			echo esc_html__( 'Space recovered', 'smart-cleanup-tools' ) . ': <strong>' . sct_size_format( $global_crons['space'] ) . '</strong><br/>';
			?>
        </div>
    </div>
    <div class="spw-column-right">
        <h3><?php esc_html_e( 'Cleanup Tools', 'smart-cleanup-tools' ) ?></h3>
        <div class="sct-cleanup-box-wrapper">
			<?php

			if ( empty( $statistics[ $scopes[0] ] ) ) {
				echo '<em>' . esc_html__( 'No data yet.', 'smart-cleanup-tools' ) . '</em>';
			} else {
				foreach ( $statistics[ $scopes[0] ] as $code => $data ) {
					$counter = $data['counter'];

					$render = '<div class="sct-cleanup-box sct-stats-box">';
					$render .= '<h3 class="sct-cleanup-title">' . $data['label'] . '</h3>';
					$render .= '<div class="sct-stats-last">';
					$render .= esc_html__( 'Last run', 'smart-cleanup-tools' ) . ': <strong>' . date( 'r', $data['last_run'] ) . '</strong><br/>';
					$render .= $data['last_display'] . '<br/>';
					$render .= esc_html__( 'Execution time', 'smart-cleanup-tools' ) . ': <strong>' . $data['last_time'] . ' ' . esc_html__( 'seconds', 'smart-cleanup-tools' ) . '</strong>';
					$render .= '</div>';
					$render .= '<div class="sct-stats-total">';
					$render .= esc_html__( 'Executed', 'smart-cleanup-tools' ) . ': <strong>' . $counter . ' ' . _n( 'time', 'times', $counter, 'smart-cleanup-tools' ) . '</strong><br/>';
					$render .= esc_html__( 'Total', 'smart-cleanup-tools' ) . ' ' . $data['display'] . '<br/>';
					$render .= esc_html__( 'Total Execution time', 'smart-cleanup-tools' ) . ': <strong>' . $data['time'] . ' ' . esc_html__( 'seconds', 'smart-cleanup-tools' ) . '</strong>';
					$render .= '</div>';
					$render .= '</div>';

					echo $render;
				}
			}

			?>
        </div>
        <h3><?php esc_html_e( 'Reset Tools', 'smart-cleanup-tools' ) ?></h3>
        <div class="sct-cleanup-box-wrapper">
			<?php

			if ( empty( $statistics[ $scopes[1] ] ) ) {
				echo '<em>' . esc_html__( 'No data yet.', 'smart-cleanup-tools' ) . '</em>';
			} else {
				foreach ( $statistics[ $scopes[1] ] as $code => $data ) {
					$counter = $data['counter'];

					$render = '<div class="sct-cleanup-box sct-stats-box">';
					$render .= '<h3>' . $data['label'] . '</h3>';
					$render .= '<div class="sct-stats-last">';
					$render .= esc_html__( 'Last run', 'smart-cleanup-tools' ) . ': <strong>' . date( 'r', $data['last_run'] ) . '</strong><br/>';
					$render .= $data['last_display'] . '<br/>';
					$render .= esc_html__( 'Execution time', 'smart-cleanup-tools' ) . ': <strong>' . $data['last_time'] . ' ' . esc_html__( 'seconds', 'smart-cleanup-tools' ) . '</strong>';
					$render .= '</div>';
					$render .= '<div class="sct-stats-total">';
					$render .= esc_html__( 'Executed', 'smart-cleanup-tools' ) . ': <strong>' . $counter . ' ' . _n( 'time', 'times', $counter, 'smart-cleanup-tools' ) . '</strong><br/>';
					$render .= esc_html__( 'Total', 'smart-cleanup-tools' ) . ' ' . $data['display'] . '<br/>';
					$render .= esc_html__( 'Total Execution time', 'smart-cleanup-tools' ) . ': <strong>' . $data['time'] . ' ' . esc_html__( 'seconds', 'smart-cleanup-tools' ) . '</strong>';
					$render .= '</div>';
					$render .= '</div>';

					echo $render;
				}
			}

			?>
        </div>
    </div>
</div>
