<div class="spw-panel-two-columns">
    <div class="spw-column-left">
        <p>
			<?php esc_html_e( 'Results for quick cleanup.', 'smart-cleanup-tools' ); ?>
        </p>
    </div>
    <div class="spw-column-right">
		<?php

		if ( $scope == 'site' ) {
			$scope = array( 'site', 'reset' );
		} else {
			$scope = array( 'network', 'netreset' );
		}

		$nonce  = $_GET['_nonce'];
		$action = $_GET['action'];

		if ( wp_verify_nonce( $nonce, 'sct-toolbar-option' ) ) {
			require_once( SCT_PATH . 'core/worker.php' );

			$worker = new sct_worker();

			$out = false;
			switch ( $action ) {
				case 'transients':
					$out = $worker->run_tool( $scope, 'transient' );
					break;
				case 'rewrite':
					$out = $worker->run_tool( $scope, 'rewrite_rules' );
					break;
			}

			if ( $out === false ) {
				esc_html_e( 'This request is invalid.', 'smart-cleanup-tools' );
			} else {
				echo '<h3 style="margin-top: 0;">' . $out['label'] . '</h3>';
				echo '<ul>';
				echo '<li>' . $out['last_display'] . '</li>';
				echo '<li>' . esc_html__( 'Processing Time', 'smart-cleanup-tools' ) . ': <strong>' . $out['last_time'] . ' ' . esc_html__( 'seconds', 'smart-cleanup-tools' ) . '</strong></li>';
				echo '</ul>';
			}
		} else {
			esc_html_e( 'This request is invalid.', 'smart-cleanup-tools' );
		}

		?>
    </div>
</div>
