<div class="spw-panel-two-columns">
    <div class="spw-column-left">
        <p>
			<?php esc_html_e( 'From this panel, you can export plugin settings into a file, or import settings from the export file.', 'smart-cleanup-tools' ); ?>
        </p>
    </div>
    <div class="spw-column-right">
        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row"><?php esc_html_e( 'Export Plugin Settings', 'smart-cleanup-tools' ); ?></th>
                <td>
                    <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php esc_html_e( 'Export Plugin Settings', 'smart-cleanup-tools' ); ?></span>
                        </legend>
                        <p>
							<?php esc_html_e( 'Plugin settings (one or more records stored in the WordPress options table) and scheduled jobs will be exported as serialized string and saved into text file that can be imported on this or any other WordPress installation. Do not make any modifications to this file, or later import will fail!', 'smart-cleanup-tools' ); ?>
                        </p>
                        <hr/>
                        <div class="spw-export-import-settings">
                            <label for="export_jobs"><input checked="checked" style="margin-top: 3px !important;" class="sct-checkbox" type="checkbox" id="export_jobs" name="export_jobs"/> <?php esc_html_e( 'Export Scheduled Jobs', 'smart-cleanup-tools' ); ?>
                            </label><br/>
                            <label for="export_settings"><input checked="checked" style="margin-top: 3px !important;" class="sct-checkbox" type="checkbox" id="export_settings" name="export_settings"/> <?php esc_html_e( 'Export Plugin Settings', 'smart-cleanup-tools' ); ?>
                            </label>
                        </div>

                        <input id="run-export" data-url="<?php echo SCT_URL; ?>core/export.php?_xport_scope=<?php echo esc_attr( $scope ); ?>&_ajax_nonce=<?php echo wp_create_nonce( 'sct-settings-export' ); ?>" type="button" class="button-primary" value="<?php esc_attr_e( 'Export', 'smart-cleanup-tools' ); ?>"/>
                    </fieldset>
                </td>
            </tr>
            </tbody>
        </table>

        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row"><?php esc_html_e( 'Import Plugin Settings', 'smart-cleanup-tools' ); ?></th>
                <td>
                    <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php esc_html_e( 'Import Plugin Settings', 'smart-cleanup-tools' ); ?></span>
                        </legend>
                        <p>
							<?php esc_html_e( 'You need valid, unmodified export file (with .sct extension), generated by the export tool on this page. Importing scheduled jobs will only add jobs, all previous jobs will be unaffected.', 'smart-cleanup-tools' ); ?>
                        </p>
                        <hr/>
                        <form method="post" action="" enctype="multipart/form-data">
							<?php settings_fields( 'smart-sidebars-slider-import' ); ?>

                            <div class="spw-export-import-settings">
                                <input class="sct-import-file" type="file" name="import_file"/><br/>
                                <label for="import_jobs"><input checked="checked" style="margin-top: 3px !important;" class="sct-checkbox" type="checkbox" id="import_jobs" name="import_jobs"/> <?php esc_html_e( 'Import Scheduled Jobs', 'smart-cleanup-tools' ); ?>
                                </label><br/>
                                <label for="import_settings"><input checked="checked" style="margin-top: 3px !important;" class="sct-checkbox" type="checkbox" id="import_settings" name="import_settings"/> <?php esc_html_e( 'Import Plugin Settings', 'smart-cleanup-tools' ); ?>
                                </label>
                            </div>
                            <input type="submit" class="button-primary" value="<?php esc_html_e( 'Import', 'smart-cleanup-tools' ); ?>"/>
                        </form>
                    </fieldset>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>