<?php

require( SCT_PATH . 'forms/shared/dimer.php' );

?>
<div class="wrap smart-plugin-wrapper spw-wordpress-<?php echo SCT_WP_VERSION; ?>">
    <h2 class="sct-panel-title">
		<?php echo esc_html( $panel_title ); ?>
        <a href="#" class="sct-quick-links-panel-toggle">
            <i class="dashicons dashicons-trash"></i>
			<?php esc_html_e( 'Smart Cleanup Tools', 'smart-cleanup-tools' );
			if ( is_network_admin() ) {
				echo ': ' . esc_html__( 'Network Mode', 'smart-cleanup-tools' );
			} ?>
            | <?php echo smart_sct_core()->get( '__version__' ); ?>
        </a>
    </h2>

    <div id="sct-quick-links-panel" style="display: none;">
        <a href="admin.php?page=smart-cleanup-tools-front"><?php esc_html_e( 'Intro', 'smart-cleanup-tools' ); ?></a>
        <a href="admin.php?page=smart-cleanup-tools-cleanup"><?php esc_html_e( 'Cleanup', 'smart-cleanup-tools' ); ?></a>
        <a href="admin.php?page=smart-cleanup-tools-reset"><?php esc_html_e( 'Reset', 'smart-cleanup-tools' ); ?></a>
		<?php if ( ! is_network_admin() ) { ?>
            <a href="admin.php?page=smart-cleanup-tools-removal"><?php esc_html_e( 'Removal', 'smart-cleanup-tools' ); ?></a>
		<?php } ?>
        <a href="admin.php?page=smart-cleanup-tools-scheduler"><?php esc_html_e( 'Scheduler', 'smart-cleanup-tools' ); ?></a>
        <a href="admin.php?page=smart-cleanup-tools-statistics"><?php esc_html_e( 'Statistics', 'smart-cleanup-tools' ); ?></a>
        <a href="admin.php?page=smart-cleanup-tools-logs"><?php esc_html_e( 'View Logs', 'smart-cleanup-tools' ); ?></a>
        <a href="admin.php?page=smart-cleanup-tools-tools"><?php esc_html_e( 'Export / Import', 'smart-cleanup-tools' ); ?></a>
        <a href="admin.php?page=smart-cleanup-tools-settings"><?php esc_html_e( 'Settings', 'smart-cleanup-tools' ); ?></a>
        <a href="admin.php?page=smart-cleanup-tools-about"><?php esc_html_e( 'About', 'smart-cleanup-tools' ); ?></a>
    </div>
	<?php if ( isset( $_GET['settings-updated'] ) ) { ?>
        <div id="message" class="sct-message updated"><p>
                <strong><?php esc_html_e( 'Settings saved.', 'smart-cleanup-tools' ); ?></strong></p></div>
	<?php }
	if ( isset( $_GET['import-failed'] ) ) { ?>
        <div id="message" class="sct-message error"><p>
                <strong><?php esc_html_e( 'File import failed.', 'smart-cleanup-tools' ); ?></strong></p></div>
	<?php }
	if ( isset( $_GET['import-nothing'] ) ) { ?>
        <div id="message" class="sct-message error"><p>
                <strong><?php esc_html_e( 'Nothing imported.', 'smart-cleanup-tools' ); ?></strong></p></div>
	<?php }
	if ( isset( $_GET['job-saved'] ) ) { ?>
        <div id="message" class="sct-message updated"><p>
                <strong><?php esc_html_e( 'Job saved successfully.', 'smart-cleanup-tools' ); ?></strong></p></div>
	<?php }
	if ( isset( $_GET['job-empty'] ) ) { ?>
        <div id="message" class="sct-message error"><p>
                <strong><?php esc_html_e( 'Job must have at least on tool selected.', 'smart-cleanup-tools' ); ?></strong>
            </p>
        </div>
	<?php }
	if ( isset( $_GET['logs-cleared'] ) ) { ?>
        <div id="message" class="sct-message updated"><p>
                <strong><?php esc_html_e( 'All logs are cleared.', 'smart-cleanup-tools' ); ?></strong></p></div>
	<?php } ?>

    <div id="smart-plugin-panel" class="spw-panel-wrapper spw-panel-<?php echo $current; ?>">