/*jslint regexp: true, nomen: true, sloppy: true, eqeq: true, vars: true, white: true, plusplus: true, maxerr: 50, indent: 4 */
/*global ajaxurl, sct_admin_data*/

;(function($, window, document, undefined) {
    "use strict";

    window.wp = window.wp || {};
    window.wp.smartplugins = window.wp.smartplugins || {};
    window.wp.smartplugins.smartcleanuptools = window.wp.smartplugins.smartcleanuptools || {};

    window.wp.smartplugins.smartcleanuptools.admin = {
        current: null,
        close_message: function() {
            $(".wrap #message").slideUp("slow");
        },
        init: function() {
            setTimeout(wp.smartplugins.smartcleanuptools.admin.close_message, 5000);

            $(document).on("click", ".sct-quick-links-panel-toggle", function(e) {
                e.preventDefault();

                $("#sct-quick-links-panel").slideToggle(400);
            });

            $("#sct-dialog-tool-details").wpdialog({
                autoResize: true, resizable: true, modal: true,
                width: 680, autoOpen: false, closeOnEscape: true, autoHeight: true,
                buttons: {
                    OK: function() {
                        $(this).wpdialog("close");
                    }
                }
            });

            $("#sct-dialog-tool-help").wpdialog({
                autoResize: true, resizable: true, modal: true,
                width: 680, autoOpen: false, closeOnEscape: true, autoHeight: true,
                buttons: {
                    OK: function() {
                        $(this).wpdialog("close");
                    }
                }
            });

            $(document).on("click", ".sct-auto-enabler", function(e) {
                e.preventDefault();

                var operation = $(this).attr("href").substr(1);

                if (operation === "enable") {
                    $(".sct-checkbox").attr("checked", "checked").parent().parent().parent().addClass("sct-enabled");
                } else if (operation === "disable") {
                    $(".sct-checkbox").removeAttr("checked").parent().parent().parent().removeClass("sct-enabled");
                }
            });

            $(".sct-dropdown-single").SumoSelect();

            $(".sct-dropdown").SumoSelect({
                placeholder: sct_admin_data.dropdown_noneSelectedText,
                captionFormat: sct_admin_data.dropdown_selectedText,
                captionFormatAllSelected: sct_admin_data.dropdown_allSelectedText
            });

            $(".sct-dropdown-disabled").SumoSelect({
                placeholder: sct_admin_data.dropdown_disabled_noneSelectedText,
                captionFormat: sct_admin_data.dropdown_disabled_selectedText,
                captionFormatAllSelected: sct_admin_data.dropdown_disabled_allSelectedText
            });

            $(document).on("click", ".sct-cleanup-checkbox input", function(e) {
                if ($(this).is(":checked")) {
                    $(this).parent().parent().parent().addClass("sct-enabled");
                } else {
                    $(this).parent().parent().parent().removeClass("sct-enabled");
                }
            });

            $(document).on("click", ".sct-tool-detail", function(e) {
                e.preventDefault();

                var id = $(this).attr("href").substr(1),
                    dialog = $("#sct-dialog-tool-details"),
                    details = $("#sct-details-" + id);

                $("#sct-details-content").html(details.html());

                dialog.wpdialog("option", "title", details.attr("title"));
                dialog.wpdialog("open");
            });

            $(document).on("click", ".sct-tool-help", function(e) {
                e.preventDefault();

                var id = $(this).attr("href").substr(1),
                    dialog = $("#sct-dialog-tool-help"),
                    details = $("#sct-help-" + id);

                $("#sct-help-content").html(details.html());

                dialog.wpdialog("option", "title", details.attr("title"));
                dialog.wpdialog("open");
            });

            $(document).on("click", "#sct-remove-load", function(e) {
                e.preventDefault();

                var load = $("#sct-remove-type").val();
                $(".sct-remove-panel").hide();
                $("#remove-type").val(load);
                $("#remove-" + load).show();

                var active = $("#remove-" + load + " .sct-tool-active").val();

                $("#sct-removal-block").html("");

                if (load === "nothing" || active === "no") {
                    $("#sct-removal-preview-run").hide();
                } else {
                    $("#sct-removal-preview-run").show();
                }
            });

            $(document).on("click", "#sct-removal-action-run", function(e) {
                e.preventDefault();

                if (wp.smartplugins.smartcleanuptools.admin.confirm()) {
                    wp.smartplugins.smartcleanuptools.admin.dim_remove.open("removal");

                    $("#sct-removal-action").ajaxSubmit({
                        success: function(html) {
                            $("#sct-removal-block").html(html);

                            wp.smartplugins.smartcleanuptools.admin.dim_remove.close();
                        },
                        dataType: "html", type: "post", timeout: 15 * 60 * 1000,
                        url: ajaxurl + "?action=smart_removal_action"
                    });
                }
            });

            $(document).on("click", "#sct-removal-preview-run", function(e) {
                e.preventDefault();

                wp.smartplugins.smartcleanuptools.admin.dim_remove.open("analyze");

                $("#sct-removal-block").html("");

                $("#sct-removal-preview").ajaxSubmit({
                    success: function(html) {
                        $("#sct-removal-block").html(html);

                        wp.smartplugins.smartcleanuptools.admin.dim_remove.close();
                    },
                    dataType: "html", type: "post", timeout: 15 * 60 * 1000,
                    url: ajaxurl + "?action=smart_removal_preview"
                });
            });

            $(document).on("click", "#sct-cleanup-quick", function(e) {
                e.preventDefault();

                wp.smartplugins.smartcleanuptools.admin.dim_cleanup.open();

                $("#sct-cleanup-form-quick").ajaxSubmit({
                    success: function(html) {
                        $("#sct-quick-cleanup-results").html(html);

                        wp.smartplugins.smartcleanuptools.admin.dim_cleanup.close();
                    },
                    dataType: "html", type: "post", timeout: 15 * 60 * 1000,
                    url: ajaxurl + "?action=smart_cleanup_quick"
                });
            });

            $(document).on("click", "#sct-cleanup-run", function(e) {
                e.preventDefault();

                wp.smartplugins.smartcleanuptools.admin.dim_cleanup.open();

                $("#sct-cleanup-form").ajaxSubmit({
                    success: function(html) {
                        $("#smart-plugin-panel").html(html);

                        wp.smartplugins.smartcleanuptools.admin.dim_cleanup.close();
                    },
                    dataType: "html", type: "post", timeout: 15 * 60 * 1000,
                    url: ajaxurl + "?action=smart_cleanup_run"
                });
            });

            $(document).on("click", "#run-export", function(e) {
                var url = $(this).data("url"), exp = [];

                $("[name^=export_]").each(function() {
                    if ($(this).is(":checked")) {
                        exp.push($(this).attr("id").substr(7));
                    }
                });

                url += "&export=" + exp.join(",");
                window.location = url;
            });
        },
        dim_remove: {
            open: function(name) {
                $(".dim-remove").hide();
                $("#dim-remove-" + name).show();

                wp.smartplugins.smartcleanuptools.admin.dim_cleanup.open();
            },
            close: function() {
                wp.smartplugins.smartcleanuptools.admin.dim_cleanup.close();
            }
        },
        dim_cleanup: {
            open: function() {
                $(".sct-dim").show();
                $("html").css("overflow", "hidden");
                wp.smartplugins.smartcleanuptools.admin.current = new Date();
            },
            close: function() {
                $(".sct-dim").hide();
                $("html").css("overflow", "auto");
            }
        },
        pad_time_string: function(number) {
            if (number < 10) {
                return "0" + number;
            } else {
                return number;
            }
        },
        timer: function() {
            if ($("#sct-load-timer").length > 0) {
                wp.smartplugins.smartcleanuptools.admin.current = new Date();

                setInterval(function() {
                    var total_miliseconds = new Date() - wp.smartplugins.smartcleanuptools.admin.current;

                    var hours = Math.floor(total_miliseconds / 3600000);
                    total_miliseconds = total_miliseconds % 3600000;

                    var minutes = Math.floor(total_miliseconds / 60000);
                    total_miliseconds = total_miliseconds % 60000;

                    var seconds = Math.floor(total_miliseconds / 1000);
                    total_miliseconds = total_miliseconds % 1000;

                    var miliseconds = Math.floor(total_miliseconds);

                    hours = wp.smartplugins.smartcleanuptools.admin.pad_time_string(hours);
                    minutes = wp.smartplugins.smartcleanuptools.admin.pad_time_string(minutes);
                    seconds = wp.smartplugins.smartcleanuptools.admin.pad_time_string(seconds);
                    miliseconds = wp.smartplugins.smartcleanuptools.admin.pad_time_string(miliseconds);

                    var currentTimeString = hours + ":" + minutes + ":" + seconds + "." + miliseconds;

                    $("#sct-load-timer").html(currentTimeString);
                }, 200);
            }
        },
        job: function() {
            $("#job_first_run").flatpickr({
                enableTime: true,
                enableSeconds: true,
                altInput: true,
                dateFormat: "Y-m-d H:i:S"
            });
        },
        confirm: function() {
            return confirm(sct_admin_data.confirm_areyousure);
        }
    };

    $(document).ready(function() {
        wp.smartplugins.smartcleanuptools.admin.timer();
        wp.smartplugins.smartcleanuptools.admin.init();
    });
})(jQuery, window, document);
