<?php

$_attachments = new sct_removal_attachments();
$mime_types   = $_attachments->list_mime_types();

?>
<input class="sct-tool-active" type="hidden" value="yes"/>
<h3 class="sct-remove-title"><?php esc_html_e( 'Attachments', 'smart-cleanup-tools' ); ?></h3>
<p class="sct-remove-info">
	<?php esc_html_e( 'With this tool you can remove attachments based on different criteria.', 'smart-cleanup-tools' ); ?>
</p>
<table class="form-table" style="width: 690px;">
    <tbody>
    <tr valign="top">
        <th scope="row"><?php esc_html_e( 'Remove Attachments', 'smart-cleanup-tools' ); ?></th>
        <td>
            <fieldset>
                <legend class="screen-reader-text">
                    <span><?php esc_html_e( 'Remove Attachments', 'smart-cleanup-tools' ); ?></span></legend>
                <select class="widefat sct-dropdown-single" name="remove[attachments][remove]">
                    <option value="missing_parent"><?php esc_html_e( 'Missing parent posts', 'smart-cleanup-tools' ); ?></option>
                    <option value="missing_file"><?php esc_html_e( 'Missing file from disk', 'smart-cleanup-tools' ); ?></option>
                    <option value="unattached"><?php esc_html_e( 'Unattached', 'smart-cleanup-tools' ); ?></option>
                </select>
            </fieldset>
        </td>
    </tr>
    <tr valign="top">
        <th scope="row"><?php esc_html_e( 'MIME Types', 'smart-cleanup-tools' ); ?></th>
        <td>
            <fieldset>
                <legend class="screen-reader-text"><span><?php esc_html_e( 'MIME Types', 'smart-cleanup-tools' ); ?></span>
                </legend>
                <select class="widefat sct-dropdown-single" name="remove[attachments][mime]">
                    <option value=""><?php esc_html_e( 'All', 'smart-cleanup-tools' ); ?></option>
					<?php foreach ( $mime_types as $data ) { ?>
                        <option value="<?php echo esc_attr( $data->post_mime_type ); ?>"><?php echo esc_html( $data->post_mime_type ); ?> (<?php echo esc_html( $data->posts ) . ' ' . esc_html( _n( 'attachment', 'attachments', $data->posts, 'smart-cleanup-tools' ) ); ?>)</option>
					<?php } ?>
                </select>
            </fieldset>
        </td>
    </tr>
    </tbody>
</table>