<?php

$_terms     = new sct_removal_terms();
$taxonomies = get_taxonomies( array(), 'objects' );

?>
<input class="sct-tool-active" type="hidden" value="yes"/>
<h3 class="sct-remove-title"><?php esc_html_e( 'Taxonomy Terms Filter', 'smart-cleanup-tools' ); ?></h3>
<p class="sct-remove-info">
	<?php esc_html_e( 'With this tool you can remove terms from any taxonomy based on different criteria.', 'smart-cleanup-tools' ); ?>
</p>
<table class="form-table" style="width: 690px;">
    <tbody>
    <tr valign="top">
        <th scope="row"><?php esc_html_e( 'Taxonomy', 'smart-cleanup-tools' ); ?></th>
        <td>
            <fieldset>
                <legend class="screen-reader-text"><span><?php esc_html_e( 'Taxonomy', 'smart-cleanup-tools' ); ?></span>
                </legend>
                <select class="widefat sct-dropdown-single" name="remove[terms][tax]">
					<?php foreach ( $taxonomies as $tax => $data ) { ?>
                        <option value="<?php echo esc_attr( $tax ); ?>"><?php echo esc_html( $data->labels->name ); ?> (<?php echo esc_html( $tax ); ?>)</option>
					<?php } ?>
                </select>
            </fieldset>
        </td>
    </tr>
    <tr valign="top">
        <th scope="row"><?php esc_html_e( 'Terms Scope', 'smart-cleanup-tools' ); ?></th>
        <td>
            <fieldset>
                <legend class="screen-reader-text"><span><?php esc_html_e( 'Terms Scope', 'smart-cleanup-tools' ); ?></span>
                </legend>
                <select class="widefat sct-dropdown-single" name="remove[terms][scope]">
                    <option value="unassigned"><?php esc_html_e( 'Unassigned terms', 'smart-cleanup-tools' ); ?></option>
                    <option value="all"><?php esc_html_e( 'All available terms', 'smart-cleanup-tools' ); ?></option>
                </select>
            </fieldset>
        </td>
    </tr>
    </tbody>
</table>