<?php

/**
 * Plugin Name:       Smart Cleanup Tools - Plugin for WordPress
 * Plugin URI:        https://www.smartplugins.info/plugin/wordpress/smart-cleanup-tools/
 * Description:       Powerful and easy to use plugin for cleaning the database from old and unused records, transient cache and overhead. Supports multisite mode.
 * Author:            Milan Petrovic
 * Author URI:        https://www.smartplugins.info/
 * Text Domain:       smart-cleanup-tools
 * Version:           5.3
 * Requires at least: 5.8
 * Tested up to:      6.4
 * Requires PHP:      7.4
 *
 * == Copyright ==
 * Copyright 2008 - 2024 Milan Petrovic (email: support@smartplugins.info)
 */

define( 'SCT_WP_CRON', defined( 'DOING_CRON' ) && DOING_CRON );

if ( is_admin() || is_network_admin() || SCT_WP_CRON ) {
	$sct_dirname_basic = dirname( __FILE__ ) . '/';
	$sct_urlname_basic = plugins_url( '/', __FILE__ );

	define( 'SCT_PATH', $sct_dirname_basic );
	define( 'SCT_URL', $sct_urlname_basic );

	if ( ! defined( 'SCT_EOL' ) ) {
		define( 'SCT_EOL', "\r\n" );
	}

	require_once( SCT_PATH . 'core/loader.php' );

	require_once( SCT_PATH . 'core/defaults.php' );
	require_once( SCT_PATH . 'core/functions.php' );
	require_once( SCT_PATH . 'core/log.php' );

	require_once( SCT_PATH . 'clean/basic.php' );
	require_once( SCT_PATH . 'remove/basic.php' );

	require_once( SCT_PATH . 'core/admin.php' );

	if ( is_network_admin() ) {
		require_once( SCT_PATH . 'core/network.php' );
	}

	smart_sct_core();
}
